<?php
if (isset($_POST['serie_remi'])){ $serie_remi=$_POST['serie_remi'];} else { $serie_remi='';}
if (isset($_POST['serie_efe'])){ $serie_pos=$_POST['serie_efe'];} else { $serie_pos='';}
if (isset($_POST['serie_efe_electronica'])){ $serie_efe_electronica=$_POST['serie_efe_electronica'];} else { $serie_efe_electronica='';}

if($tipo_venta=='remision')
{
	if($serie_remi==null)
	{
		echo '<div class="alert alert-info alert-dismissable">
	                <strong>No hay serie de Factura para Remision activa.</strong> Tiene que activar la siguiente serie.
	            </div>
	            <div class="modal-footer">
	                <a href="A_empresa.php" class="btn btn-danger"><i class="icon-ok"></i> <strong>Activar</strong></a>
	            </div> ';
	    $siga='no';
	}
	else
	{
		$can=mysqli_query($con,"SELECT * FROM serie_factura where ser_estado='activo' and ser_tipo_documento='1' and empresa='$empresa' AND ser_id='$serie_remi'") or die(mysqli_error($con)); 
		$dato=mysqli_fetch_array($can);
		$result = mysqli_num_rows($can);
		$ser_id=$dato['ser_id'];
		$ser_inicio=$dato['ser_inicio'];
		$ser_fin=$dato['ser_fin'];
		$ser_prefijo=$dato['ser_prefijo'];
		$ser_tipo=$dato['ser_tipo'];
		  
	    $can=mysqli_query($con,"SELECT MAX(ven_n_venta)as ven_n_venta  
	            FROM ventas where ven_n_venta >= '$ser_inicio' and ven_n_venta <='$ser_fin' and empresa='$empresa' and ven_estado<>'anulada' and ven_ser_id='$ser_id' ") or die(mysqli_error($con)); 
	    $dato= mysqli_fetch_array($can);
	    $ven_n_venta = $dato['ven_n_venta'];
	    if ($ven_n_venta==null)
	    {
	        $ven_n_venta=$ser_inicio;
	        $siga='si';
	    }
	    else if ($ven_n_venta < $ser_fin) 
	    {  
	        $ven_n_venta=$dato['ven_n_venta']+1;
	        $siga='si';
	    }
	    else if ($ven_n_venta >= $ser_fin) 
	    {
	        echo '<div class="alert alert-info alert-dismissable">
	                    <strong>La serie de Factura para Remision ha llegado a su fin. </strong> desea activar la siguiente serie?
	                </div>
	               
	                <div class="modal-footer">
	              		<button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
	                    <a href="A_empresa.php" class="btn btn-danger"><i class="icon-ok"></i> <strong>Activar</strong></a>
	                </div> ';
	        $siga='no';
	    }
	}
}



if($tipo_venta=='pos electronico')
{
	if($serie_pos==null)
	{
		echo '<div class="alert alert-info alert-dismissable">
	                <strong>No hay serie de Facturacion de Documento Equivalente Pos activa.</strong> Tiene que activar la siguiente serie.
	            </div>
	            <div class="modal-footer">
	                <a href="A_empresa.php" class="btn btn-danger"><i class="icon-ok"></i> <strong>Activar</strong></a>
	            </div> ';
	    $siga='no';
	}
	else
	{
		$can=mysqli_query($con,"SELECT * FROM serie_factura where ser_estado='activo' and ser_tipo_documento='1' and empresa='$empresa' AND ser_id='$serie_pos'") or die(mysqli_error($con)); 
		$dato=mysqli_fetch_array($can);
		$result = mysqli_num_rows($can);
		$ser_id=$dato['ser_id'];
		$ser_inicio=$dato['ser_inicio'];
		$ser_fin=$dato['ser_fin'];
		$ser_prefijo=$dato['ser_prefijo'];
		$ser_tipo=$dato['ser_tipo'];
		  
	    $can=mysqli_query($con,"SELECT MAX(ven_n_venta)as ven_n_venta  
	            FROM ventas where ven_n_venta >= '$ser_inicio' and ven_n_venta <='$ser_fin' and empresa='$empresa' and ven_estado<>'anulada' and ven_ser_id='$ser_id' ") or die(mysqli_error($con)); 
	    $dato= mysqli_fetch_array($can);
	    $ven_n_venta = $dato['ven_n_venta'];
	    if ($ven_n_venta==null)
	    {
	        $ven_n_venta=$ser_inicio;
	        $siga='si';
	    }
	    else if ($ven_n_venta < $ser_fin) 
	    {  
	        $ven_n_venta=$dato['ven_n_venta']+1;
	        $siga='si';
	    }
	    else if ($ven_n_venta >= $ser_fin) 
	    {
	        echo '<div class="alert alert-info alert-dismissable">
	                    <strong>La serie de Facturacion de Documento Equivalente Pos ha llegado a su fin. </strong> desea activar la siguiente serie?
	                </div>
	               
	                <div class="modal-footer">
	              		<button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
	                    <a href="A_empresa.php" class="btn btn-danger"><i class="icon-ok"></i> <strong>Activar</strong></a>
	                </div> ';
	        $siga='no';
	    }
	}
}

else if ($tipo_venta=='electronica') 
{
	
	if($serie_efe_electronica==null)
	{
		echo '<div class="alert alert-info alert-dismissable">
	                <strong>No hay serie de Facturacion Electronica activa.</strong> Tiene que activar la siguiente serie.
	            </div>
	            <div class="modal-footer">
	                <a href="A_empresa.php" class="btn btn-danger"><i class="icon-ok"></i> <strong>Activar</strong></a>
	            </div> ';
	    $siga='no';
	}
	else
	{
		$resol=mysqli_query($con,"SELECT * FROM serie_factura where ser_estado='activo' and ser_tipo='electronica'  and ser_tipo_documento='1' and empresa='$empresa' AND ser_id='$serie_efe_electronica'" ) or die(mysqli_error($con)); 
		$res=mysqli_fetch_array($resol);
		$result = mysqli_num_rows($resol);
		$ser_id=$res['ser_id'];
		$ser_inicio=$res['ser_inicio'];
		$ser_fin=$res['ser_fin'];
		$ser_prefijo=$res['ser_prefijo'];
		$ser_tipo=$res['ser_tipo'];

		$can=mysqli_query($con,"SELECT MAX(ven_n_venta) as ven_n_venta  
		FROM ventas where ven_n_venta >='$ser_inicio' and ven_n_venta <='$ser_fin' and ven_ser_id='$ser_id' and ven_tipo='electronica' and ven_estado<>'anulada' and empresa='$empresa'") or die(mysqli_error($con)); 
		$dato= mysqli_fetch_array($can);
		$ven_n_venta = $dato['ven_n_venta'];
		if ($ven_n_venta==null)
		{
		    $ven_n_venta=$ser_inicio;
		    $siga='si';
		}
		else if ($ven_n_venta < $ser_fin) 
		{  
		    $ven_n_venta=$dato['ven_n_venta']+1;
		    $siga='si';
		}
		else if ($ven_n_venta >= $ser_fin) 
	    {
	        echo '<div class="alert alert-info alert-dismissable">
	                    <strong>La serie de Facturacion Electronica ha llegado a su fin. </strong> Desea activar la siguiente serie?
	                </div>
	               
	                <div class="modal-footer">
	              		<button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
	                    <a href="A_empresa.php" class="btn btn-danger"><i class="icon-ok"></i> <strong>Activar</strong></a>
	                </div> ';
	        $siga='no';
	    }
	}
}
?>